McEliecePublicKeySpec (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.pqc.jcajce.spec

## Class McEliecePublicKeySpec

- java.lang.Object
- - org.bouncycastle.pqc.jcajce.spec.McEliecePublicKeySpec

- All Implemented Interfaces:
    java.security.spec.KeySpec

      public class McEliecePublicKeySpec
      extends java.lang.Object
      implements java.security.spec.KeySpec

  This class provides a specification for a McEliece public key.
  See Also:
    `BCMcEliecePublicKey`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `McEliecePublicKeySpec(java.lang.String oid, int t, int n, byte[] encG)` Constructor (used by `McElieceKeyFactorySpi`).
    `McEliecePublicKeySpec(java.lang.String oid, int n, int t, GF2Matrix g)` Constructor (used by `McElieceKeyFactorySpi`).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GF2Matrix` | `getG()`
    `int` | `getN()`
    `java.lang.String` | `getOIDString()`
    `int` | `getT()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### McEliecePublicKeySpec

          public McEliecePublicKeySpec(java.lang.String oid,
                               int n,
                               int t,
                               GF2Matrix g)

      Constructor (used by `McElieceKeyFactorySpi`).
      Parameters:
        `oid` -
        `n` - the length of the code
        `t` - the error correction capability of the code
        `g` - the generator matrix

    - #### McEliecePublicKeySpec

          public McEliecePublicKeySpec(java.lang.String oid,
                               int t,
                               int n,
                               byte[] encG)

      Constructor (used by `McElieceKeyFactorySpi`).
      Parameters:
        `oid` -
        `n` - the length of the code
        `t` - the error correction capability of the code
        `encG` - the encoded generator matrix

  - ### Method Detail

    - #### getN

          public int getN()

      Returns:
        the length of the code

    - #### getT

          public int getT()

      Returns:
        the error correction capability of the code

    - #### getG

          public GF2Matrix getG()

      Returns:
        the generator matrix

    - #### getOIDString

          public java.lang.String getOIDString()